Package org.apache.jasper.el

## Class JasperELResolver.GraalBeanELResolver

- java.lang.Object
- - jakarta.el.ELResolver
  - - org.apache.jasper.el.JasperELResolver.GraalBeanELResolver

Enclosing class:
  JasperELResolver

    public static class JasperELResolver.GraalBeanELResolver
    extends ELResolver

Extend ELResolver for Graal to avoid bean info use if possible, as BeanELResolver needs manual reflection configuration.

### Field Summary

### Fields inherited from class jakarta.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
`GraalBeanELResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getCommonPropertyType​(ELContext context, Object base)` Obtain the most common type that is acceptable for the given base object.
`Iterator<FeatureDescriptor>` `getFeatureDescriptors​(ELContext context, Object base)` Obtain the feature descriptors for the resolvable properties of the given object.
`Class<?>` `getType​(ELContext context, Object base, Object property)` Obtain the type of the given property on the given object using the given context.
`Object` `getValue​(ELContext context, Object base, Object property)` Obtain the value of the given property on the given object using the given context.
`boolean` `isReadOnly​(ELContext context, Object base, Object property)` Determine if the given property on the given object is read-only using the given context.
`void` `setValue​(ELContext context, Object base, Object property, Object value)` Set the value of the given property on the given object using the given context.

### Methods inherited from class jakarta.el.ELResolver

`convertToType, invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraalBeanELResolver

    public GraalBeanELResolver()

### Method Detail

#### getValue

    public Object getValue​(ELContext context,
                           Object base,
                           Object property)

Description copied from class: `jakarta.el.ELResolver`
Obtain the value of the given property on the given object using the given context.

Specified by:
  `getValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

#### setValue

    public void setValue​(ELContext context,
                         Object base,
                         Object property,
                         Object value)

Description copied from class: `jakarta.el.ELResolver`
Set the value of the given property on the given object using the given context.

Specified by:
  `setValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

#### isReadOnly

    public boolean isReadOnly​(ELContext context,
                              Object base,
                              Object property)

Description copied from class: `jakarta.el.ELResolver`
Determine if the given property on the given object is read-only using the given context.

Specified by:
  `isReadOnly` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

#### getType

    public Class<?> getType​(ELContext context,
                            Object base,
                            Object property)

Description copied from class: `jakarta.el.ELResolver`
Obtain the type of the given property on the given object using the given context.

Specified by:
  `getType` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the type of the provided property

#### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors​(ELContext context,
                                                             Object base)

Description copied from class: `jakarta.el.ELResolver`
Obtain the feature descriptors for the resolvable properties of the given object.

The default implementation returns `null`.

Overrides:
  `getFeatureDescriptors` in class `ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  An iterator, possibly empty, of feature descriptors of the given object

#### getCommonPropertyType

    public Class<?> getCommonPropertyType​(ELContext context,
                                          Object base)

Description copied from class: `jakarta.el.ELResolver`
Obtain the most common type that is acceptable for the given base object.

Specified by:
  `getCommonPropertyType` in class `ELResolver`
Parameters:
  `context` - The context in which the examination takes place
  `base` - The object to examine
Returns:
  {code null} if the most common type cannot be determine, otherwise the most common type